File moving error
Closed, ResolvedPublic

Description

Author: mattbisanz

Description:
When moving files to new names on enwiki I encountered the following error. The move completes as normal, but the script generates the following error

  • Api error: Unknown error: ``'' - unknownerror

The image description page moves to the new name and leaves a redirect at the old name, but the file itself stays at the old page.

Places it has happened are on are:
http://en.wikipedia.org/wiki/File:Are_You_Man_Enough.jpg
http://en.wikipedia.org/wiki/File:Vermont_Street_(San_Francisco).jpg
http://en.wikipedia.org/wiki/File:Honey.jpg
http://en.wikipedia.org/wiki/File:Jewel.jpg

With Are you man enough, I was able to move and delete the file and then move the file description page on top of it and restore.

With Vermont Street, when I tried the above, the file undeletion generated the error

Undelete failed; someone else may have undeleted the page first.

<p></p>

Error undeleting file: Unable to write to file "public/archive/a/a4/20070717110943!DSCN7043.JPG": file exists

I restored the image by viewing and downloading the deleted image and then re-uploading it.

With Honey and Jewel I haven't tried anything, so they still need fixing.


Version: unspecified
Severity: normal
URL: http://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_(technical)&oldid=278063006#File_renaming_error

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz18033.
bzimport created this task.Via LegacyMar 18 2009, 10:37 AM
brion added a comment.Via ConduitMar 18 2009, 8:21 PM

Image renaming is disabled pending resolution.

bzimport added a comment.Via ConduitMar 18 2009, 8:21 PM

mattbisanz wrote:

(In reply to comment #1)

Also happened with
http://en.wikipedia.org/wiki/File:Athens_1840.png
http://en.wikipedia.org/wiki/File:Apollo_18_album_cover.png

when converting MIME errors.

Error message encountered when doing the above was

Could not find file "$1".
bzimport added a comment.Via ConduitMar 18 2009, 9:07 PM

mattbisanz wrote:

http://en.wikipedia.org/wiki/File:Death.jpg

Apparently I missed the error message on that one.

vvv added a comment.Via ConduitApr 26 2009, 4:45 PM

Missing files (I suppose they were the reason of failures) are now handled gracefully, see bug 18420.

Error handling is fixed before in r49001.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:43 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.